<?php

/**
 * Ceon Tax Declaration Declaration Display Script.
 * 
 * @package     ceon_tax_declaration
 * @author      Conor Kerr <zen-cart@dev.ceon.net>
 * @copyright   Copyright 2008-2011 Ceon
 * @link        http://dev.ceon.net/web/zen-cart/tax-declaration
 * @license     http://www.gnu.org/copyleft/gpl.html   GNU Public License V2.0
 * @version     $Id: tax_declaration.php 721 2011-06-13 18:16:09Z conor $
 */

  require('includes/application_top.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

  $oID = zen_db_prepare_input($_GET['oID']);

  include(DIR_WS_CLASSES . 'order.php');
  $order = new order($oID);
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="10" bottommargin="10" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">

<!-- body_text //-->

<table width="750" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="right">&nbsp;</td>
        <td width="100" class="dots" style="padding-top: 1em;"><?php echo ENTRY_ORDER_ID . $oID; ?></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td align="center"><?php echo TEXT_TITLE_LINE_1; ?></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td align="center" class="declare"><strong><?php echo TEXT_TITLE_LINE_2; ?><br /><br /><?php echo TEXT_TITLE_LINE_3; ?></strong></td>
  </tr>
  <tr>
    <td class="declare">&nbsp;</td>
  </tr>
  <tr>
    <td class="declare">&nbsp;</td>
  </tr>
</table>
<table width="750" border="0" align="center" cellpadding="2" cellspacing="0">
  <tr>
    <td>	  <table width="100%" border="0" cellspacing="0" cellpadding="2">
<?php
      $order_check = $db->Execute("select cc_cvv, customers_name, customers_company, customers_street_address,
                                    customers_suburb, customers_city, customers_postcode,
                                    customers_state, customers_country, customers_telephone,
                                    customers_email_address, customers_address_format_id, delivery_name,
                                    delivery_company, delivery_street_address, delivery_suburb,
                                    delivery_city, delivery_postcode, delivery_state, delivery_country,
                                    delivery_address_format_id, billing_name, billing_company,
                                    billing_street_address, billing_suburb, billing_city, billing_postcode,
                                    billing_state, billing_country, billing_address_format_id,
                                    payment_method, cc_type, cc_owner, cc_number, cc_expires, currency,
                                    currency_value, date_purchased, orders_status, last_modified
                             from " . TABLE_ORDERS . "
                             where orders_id = '" . (int)$oID . "'");
  $show_customer = 'false';
  if ($order_check->fields['billing_name'] != $order_check->fields['delivery_name']) {
    $show_customer = 'true';
  }
  if ($order_check->fields['billing_street_address'] != $order_check->fields['delivery_street_address']) {
    $show_customer = 'true';
  }
 ?>
      <tr>
        <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
      <tr align="left" valign="top" class="declare">
        <td width="150"><?php echo TEXT_I; ?>:
          <br />
          <br /><?php echo TEXT_OF_ADDRESS; ?>:</td>
        <td><?php echo zen_address_format($order->customer['format_id'], $order->billing, 1, '', '<br />&nbsp;<br />'); ?></td>
      </tr>
      <tr align="left" valign="top">
        <td width="150">&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr align="left" valign="top" class="declare">
        <td width="150"><?php echo TEXT_TELEPHONE; ?>:</td>
        <td><?php echo $order->customer['telephone']; ?></td>
      </tr>
      <tr align="left" valign="top">
        <td width="150">&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr align="left" valign="top" class="declare">
        <td width="150"><?php echo TEXT_EMAIL; ?>:</td>
        <td><?php echo '<a class="declare" href="mailto:' . $order->customer['email_address'] . '">' . $order->customer['email_address'] . '</a>'; ?></td>
      </tr>
    </table></td>
  </tr>

  <tr>
    <td class="doublespace" style="padding-top: 2em; padding-bottom: 1em;"><?php echo TEXT_DECLARATION_1; ?></td>
  </tr>
  <tr>
    <td class="declare" style="border-width: 1px; border-style: solid; color: #000000; padding: 0.4em;"><?php echo ($order->info['tax_declaration'] ? $order->info['tax_declaration'] : TEXT_INFO_TAX_DECLARATION_NONE); ?></td>
  </tr>

  <tr>
  <tr>
    <td class="doublespace" style="padding-top: 1em;"><?php echo TEXT_DECLARATION_2; ?>:</td>
  </tr>
  <tr>
    <td><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
  </tr>
  <tr>
    <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr class="dataTableHeadingRow">
        <td class="dataTableHeadingContent" colspan="2"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
        <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_TAX_DECLARATION_APPLICABLE; ?></td>
      </tr>
<?php
    for ($i = 0, $n = sizeof($order->products); $i < $n; $i++) {
      echo '      <tr class="dataTableRow">' . "\n" .
           '        <td class="dataTableContent" valign="top" align="right">' . $order->products[$i]['qty'] . '&nbsp;x</td>' . "\n" .
           '        <td class="dataTableContent" valign="top">' . $order->products[$i]['name'];

      if (isset($order->products[$i]['attributes']) && (($k = sizeof($order->products[$i]['attributes'])) > 0)) {
        for ($j = 0; $j < $k; $j++) {
          echo '<br><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . nl2br(zen_output_string_protected($order->products[$i]['attributes'][$j]['value']));
          if ($order->products[$i]['attributes'][$j]['price'] != '0') echo ' (' . $order->products[$i]['attributes'][$j]['prefix'] . $currencies->format($order->products[$i]['attributes'][$j]['price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ')';
          if ($order->products[$i]['attributes'][$j]['product_attribute_is_free'] == '1' and $order->products[$i]['product_is_free'] == '1') echo TEXT_INFO_ATTRIBUTE_FREE;
          echo '</i></small></nobr>';
        }
      }

      echo '        </td>' . "\n";
      echo '        <td class="dataTableContent" valign="top">';
      if ($order->products[$i]['products_tax_declaration'] == 1) {
        echo zen_image(DIR_WS_IMAGES . 'icons/tick.gif', ICON_TICK);
      } else {
        echo '&nbsp;';
      }
	  echo '        </td>' . "\n";
      echo '      </tr>' . "\n";
    }
?>
    </table></td>
  </tr>
</table>
<!-- body_text_eof //-->
<br />
<table width="750" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td class="declare"><strong><?php echo TEXT_SIGNATURE; ?>:</strong> <?php echo ($order->info['tax_declaration_signature'] ? $order->info['tax_declaration_signature'] : TEXT_INFO_TAX_SIGNATURE_NONE); ?></td>
  </tr>
  <tr>
    <td class="declare">&nbsp;</td>
  </tr>
  <tr>
    <td class="declare"><strong><?php echo TEXT_DATE; ?>:</strong> <?php echo zen_date_long($order->info['date_purchased']); ?></td>
  </tr>
  <tr>
    <td class="declare" style="padding-top: 3em;"><strong><?php echo TEXT_FOOTER_INTRO; ?></strong></td>
  </tr>
  <tr>
    <td class="declare"><?php echo TEXT_FOOTER; ?></td>
  </tr>
</table>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>