<?php

/**
 * Ceon Tax Declaration Product Info Declaration Notification.
 *
 * @package     ceon_tax_declaration
 * @author      Conor Kerr <zen-cart@dev.ceon.net>
 * @copyright   Copyright 2008-2011 Ceon
 * @link        http://dev.ceon.net/web/zen-cart/tax-declaration
 * @license     http://www.gnu.org/copyleft/gpl.html   GNU Public License V2.0
 * @version     $Id: class.tax_declarationProductInfo.php 721 2011-06-13 18:16:09Z conor $
 */

// {{{ class tax_declarationProductInfo

/**
 * Displays information about Tax Declaration applicability for a product.
 *
 * @package     ceon_tax_declaration
 * @author      Conor Kerr <zen-cart@dev.ceon.net>
 * @copyright   Copyright 2008-2011 Ceon
 * @link        http://dev.ceon.net/web/zen-cart/tax-declaration
 * @license     http://www.gnu.org/copyleft/gpl.html   GNU Public License V2.0
 * @version     $Id: class.tax_declarationProductInfo.php 721 2011-06-13 18:16:09Z conor $
 */
class tax_declarationProductInfo extends base
{
	
	function tax_declarationProductInfo()
	{
		global $zco_notifier;
		
		$zco_notifier->attach($this,
			array(
				'NOTIFY_MAIN_TEMPLATE_VARS_EXTRA_PRODUCT_INFO'
				)
			);
	}
	
	function update(&$callingClass, $notifier, $paramsArray)
	{
		global $db, $product_tax_declaration_applicable;
		
		if ($notifier == 'NOTIFY_MAIN_TEMPLATE_VARS_EXTRA_PRODUCT_INFO') {
			$product_tax_declaration_applicable = false;
			
			$products_tax_declaration_query = "
				SELECT
					p.products_tax_declaration
				FROM
					" . TABLE_PRODUCTS . " p
				WHERE
					p.products_status = '1'
				AND
					p.products_id = '" . (int) $_GET['products_id'] . "';";
			
			$products_tax_declaration_result = $db->Execute($products_tax_declaration_query);
			
			if ($products_tax_declaration_result->fields['products_tax_declaration'] == 1) {
				$product_tax_declaration_applicable = true;
			}
		}
	}
}

// }}}
 
?>